Bug 991292 - Review Request: pyhoca-cli - Command line X2Go client written in Python
Review Request: pyhoca-cli - Command line X2Go client written in Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On: 990817
Blocks: 998551
  Show dependency treegraph
 
Reported: 2013-08-02 01:33 EDT by Orion Poplawski
Modified: 2013-10-19 17:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: pyhoca-cli-0.4.0.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
leamas.alec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-08-02 01:33:27 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/
Description: 

X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-CLI provides a simple and flexible command line client
written in Python that allows you to control X2Go client sessions
on desktops and thin clients.

Fedora Account System Username: orion
Comment 1 Alec Leamas 2013-08-30 06:50:30 EDT
OK, I'll make a shot here as well, Who knows, maybe someone might take a look at bug 957339...
Comment 2 Alec Leamas 2013-08-30 07:27:08 EDT
The URL:s are incomplete making fedora-review unhappy. 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Fix the rpmlint warning about mixed spaces and tabs,


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "AGPL (v3 or later)". Detailed output of licensecheck in
     /home/mk/FedoraReview/pyhoca-cli/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]  Package installs properly.
     Note: Installation errors (see attachment)
     Requires nxproxy, not a problem.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: Fully versioned dependency in subpackages if applicable.
[-]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
[cut]
ERROR: Command failed:
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/mk/FedoraReview/pyhoca-cli/results/pyhoca-cli-0.4.0.1-1.fc20.noarch.rpm']
Error: Package: python-x2go-0.4.0.6-4.fc20.noarch (fedora)
           Requires: nxproxy



Rpmlint
-------
Checking: pyhoca-cli-0.4.0.1-1.fc20.noarch.rpm
          pyhoca-cli-0.4.0.1-1.fc20.src.rpm
pyhoca-cli.noarch: W: spelling-error %description -l en_US smartcard -> smart card, smart-card, MasterCard
pyhoca-cli.noarch: W: invalid-license AGPLv3+
pyhoca-cli.src: W: spelling-error %description -l en_US smartcard -> smart card, smart-card, MasterCard
pyhoca-cli.src: W: invalid-license AGPLv3+
pyhoca-cli.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 1)
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Requires
--------
pyhoca-cli (rpmlib, GLIBC filtered):
    /usr/bin/python
    notify-python
    python(abi)
    python-setproctitle
    python-x2go



Provides
--------
pyhoca-cli:
    pyhoca-cli



Source checksums
----------------
http://code.x2go.org/releases/source/pyhoca-cli/pyhoca-cli-0.4.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7d33f3c4ccd9514d9b27dd3cd13ad63668a3c69b79780d25336281944eb6d5bf
  CHECKSUM(SHA256) upstream package : 7d33f3c4ccd9514d9b27dd3cd13ad63668a3c69b79780d25336281944eb6d5bf


Generated by fedora-review 0.5.0 (2b735d8) last change: 2013-08-30
Command line :./try-fedora-review -rn pyhoca-cli
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Orion Poplawski 2013-08-30 23:54:37 EDT
Sorry:

http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-cli.spec
http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-cli-0.4.0.1-2.fc19.src.rpm

* Fri Aug 30 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.1-2
- Change tabs to spaces
Comment 4 Orion Poplawski 2013-09-06 15:23:51 EDT
Ping, Alec?
Comment 5 Alec Leamas 2013-09-07 04:13:46 EDT
Sorry, lost track. Looks good,

*** Approved.
Comment 6 Orion Poplawski 2013-09-07 23:25:00 EDT
Thanks.

New Package SCM Request
=======================
Package Name: pyhoca-cli
Short Description: Command line X2Go client written in Python
Owners: orion
Branches: f20 f19 f18 el6
InitialCC:
Comment 7 Jon Ciesla 2013-09-09 08:07:33 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-09 11:10:13 EDT
pyhoca-cli-0.4.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pyhoca-cli-0.4.0.1-2.fc20
Comment 9 Fedora Update System 2013-09-09 12:21:17 EDT
pyhoca-cli-0.4.0.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-09-22 20:47:03 EDT
pyhoca-cli-0.4.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.